Page MenuHomePhabricator

Better sans-serif headings font-weight balance possible with serif headlines?
Closed, ResolvedPublic

Description

In modern front-end times, and with better fonts, we are not limited to bold and normal as font-weight any more.

As of now, the serif headings h1 use '400' while h2-h5 uses 700. This results in an imbalanced look IMO.

I'd suggest to evaluate 600:

Event Timeline

Volker_E created this task.Nov 8 2019, 11:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 8 2019, 11:59 PM

Hey 👋, just fiddled around in the console with this on design.wikimedia.org. I’m in favor of font-weight: 600;. It feels more harmonic with h1, whereas 700 is competing with it.

Volker_E claimed this task.Dec 10 2019, 1:22 AM
Volker_E added a subscriber: Pginer-WMF.

Patch provided at https://github.com/wikimedia/WikimediaUI-Style-Guide/pull/316. Also clarifying language a lil better and resolving an error in a sentence.

The updated style looks good to me. As pointed above, h2 headers have a better balance with h1, while still working well with respect the body text.

Volker_E closed this task as Resolved.Dec 12 2019, 6:34 PM
Volker_E triaged this task as Low priority.
Volker_E removed a project: Patch-For-Review.